CVE-2016-0807

NameCVE-2016-0807
DescriptionThe get_build_id function in elf_utils.cpp in Debuggerd in Android 6.x before 2016-02-01 allows attackers to gain privileges via a crafted application that mishandles a Desc Size element in an ELF Note, aka internal bug 25187394.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severityhigh (attack range: local)

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
android-platform-system-core (PTS)jessie21-6vulnerable
stretch1:7.0.0+r33-1fixed
buster, sid1:7.0.0+r33-2fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
android-platform-system-coresource(unstable)1:7.0.0+r1-1unimportant

Notes

debuggerd not included, see bug #858177

Search for package or bug name: Reporting problems